<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014  Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

class AfterUpgrade
{
    public function run($container)
    {
        $entityManager = $container->get('entityManager');

        $job = $entityManager->getEntity('Job');
        $dt = new \DateTime();
        $dt->modify('+1 minutes');
        $job->set([
            'serviceName' => 'App',
            'methodName' => 'jobPopulatePhoneNumberNumeric',
            'executeTime' => $dt->format('Y-m-d H:i:s')
        ]);
        $entityManager->saveEntity($job);

        $job = $entityManager->getEntity('Job');
        $dt = new \DateTime();
        $dt->modify('+4 minutes');
        $job->set([
            'serviceName' => 'App',
            'methodName' => 'jobPopulateArrayValues',
            'executeTime' => $dt->format('Y-m-d H:i:s')
        ]);
        $entityManager->saveEntity($job);

        $job = $entityManager->getEntity('Job');
        $dt = new \DateTime();
        $dt->modify('+10 minutes');
        $job->set([
            'serviceName' => 'App',
            'methodName' => 'jobPopulateNotesTeamUser',
            'executeTime' => $dt->format('Y-m-d H:i:s')
        ]);
        $entityManager->saveEntity($job);

        $config = $container->get('config');
        $config->set('noteDeleteThresholdPeriod', '1 month');
        $config->set('noteEditThresholdPeriod', '7 days');
        $config->save();

        $job = $entityManager->getEntity('Job');
        $dt = new \DateTime();
        $dt->modify('+30 minutes');
        $job->set([
            'serviceName' => 'MysqlCharacter',
            'methodName' => 'jobConvertToMb4',
            'executeTime' => $dt->format('Y-m-d H:i:s')
        ]);
        $entityManager->saveEntity($job);
    }
}
